Update File Content
curl --request PUT \
--url https://api.duvo.ai/v2/teams/{teamId}/files/content/{path} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://api.duvo.ai/v2/teams/{teamId}/files/content/{path}"
payload = { "content": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({content: '<string>'})
};
fetch('https://api.duvo.ai/v2/teams/{teamId}/files/content/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Files
Update File Content
Update the content of a text file.
PUT
/
v2
/
teams
/
{teamId}
/
files
/
content
/
{path}
Update File Content
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
Path of the file relative to the team's storage root
Minimum string length:
1Body
application/json
New UTF-8 text content for the file
Response
Default Response
True if the operation succeeded
Was this page helpful?
⌘I